[Et-mgmt-commits-list] [SCM] virt-factory branch, master now at 6767a118000fb4d1d3059c9224c7aa71368f0f4e

Adrian Likins alikins at redhat.com
Fri Apr 13 21:10:42 UTC 2007


Hello,

This is an automated email from the git hooks/update script, it was
generated because a ref change was pushed to the repository.

Updating branch, master,
       via  6767a118000fb4d1d3059c9224c7aa71368f0f4e (commit)
       via  ab712c51c22e0f0ab45480229ca08928b56d921a (commit)
      from  4aa14bfd96d9de81e28e8fde851c5cd9713fab5b (commit)

- Log -----------------------------------------------------------------
commit 6767a118000fb4d1d3059c9224c7aa71368f0f4e
Merge: ab712c5... 4aa14bf...
Author: Adrian Likins <alikins at redhat.com>
Date:   Fri Apr 13 17:10:17 2007 -0400

    Merge with git+ssh://g-alikins@et.redhat.com/git/virt-factory

commit ab712c51c22e0f0ab45480229ca08928b56d921a
Author: Adrian Likins <alikins at redhat.com>
Date:   Fri Apr 13 17:09:55 2007 -0400

    refactor the build script.
    
    oh my.
-----------------------------------------------------------------------

Diffstat:
 build/build-it-all.sh |   62 ++++++++++++++++++++++++++++++-------------------
 1 files changed, 38 insertions(+), 24 deletions(-)

diff --git a/build/build-it-all.sh b/build/build-it-all.sh
index 0a19fe5..fe0d681 100755
--- a/build/build-it-all.sh
+++ b/build/build-it-all.sh
@@ -19,31 +19,49 @@ rm -rf srpms
 rm -rf tars
 mkdir -p rpms srpms tars
 
+build_rpm()
+{
+    PKG=$1
+    echo;echo;echo
+    echo "======================================"
+    echo "Building $PKG"
+    echo "======================================"
+    echo
+    cd ../$PKG
+    make rpms 
+    if [ $? != 0 ]; then
+	echo "kaboom building $PKG"
+	exit 1
+    fi 
+    mv rpm-build/*.src.rpm $BUILD/srpms
+    mv rpm-build/*.rpm $BUILD/rpms
+    mv rpm-build/*.tar.gz $BUILD/tars
+    make clean
+    if [ $? != 0 ]; then
+	echo "kaboom cleaning up $PKG"
+	exit 1
+    fi 
+}
+
 for i in $VF_PKGS
 do
-        # just to make looking though logs a little easier
-        echo;echo;echo
-	echo "======================================"
-	echo "Building $i"
-	cd ../$i
-	make rpms 
-        if [ $? != 0 ]; then
-           echo "kaboom building $i"
-           exit 1
-        fi 
-	mv rpm-build/*.src.rpm $BUILD/srpms
-	mv rpm-build/*.rpm $BUILD/rpms
-	mv rpm-build/*.tar.gz $BUILD/tars
-	make clean
-        if [ $? != 0 ]; then
-           echo "kaboom cleaning up $i"
-           exit 1
-        fi 
+  build_rpm $i
 done
 
 # FIXME: we probably need to build cobbler/koan as well
 # FIXME: cobbler/koan use different build stuff
 
+build_profile()
+{
+    PROFILE=$1
+    pwd
+    echo "Building the profile for $PROFILE" 
+    pushd $PROFILE
+    make
+    cp *.tar.gz $BUILD/profiles/
+    popd
+}
+
 # build all the latest profiles
 cd $SRCDIR
 pwd
@@ -51,14 +69,10 @@ cd profiles
 ls *
 for i in `ls`
 do
-  pwd
-  echo "Building the profile for $i" 
-  pushd $i
-  make
-  cp *.tar.gz $BUILD/profiles/
-  popd
+  build_profile $i
 done
 
+
 cd $BUILD
 
 reposync --config=./lutter.repo --repoid=dlutter-fedora  --download_path=./rpms

hooks/update
---
Git Source Code Management System
hooks/update refs/heads/master \
  4aa14bfd96d9de81e28e8fde851c5cd9713fab5b \
  6767a118000fb4d1d3059c9224c7aa71368f0f4e




More information about the Et-mgmt-commits-list mailing list